GET https://api.cryptohopper.com/v1/market/giftcards/{giftcard_id}

Returns a public gift card, or one of your own custom gift cards.

Example request

curl "https://api.cryptohopper.com/v1/market/giftcards/GIFTCARD_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
giftcard_id string Required Gift card ID.

Response

Example response (illustrative values)

{
    "data": {
        "id": "12",
        "giftcard_name": "Cryptohopper credits 50",
        "giftcard_image": "https://cdn.cryptohopper.com/images/giftcards/templates/credits.png",
        "giftcard_type": "credits",
        "giftcard_value": "50.00",
        "plan_id": "0",
        "marketplace_id": "0",
        "currency": "USD",
        "price": "50.00",
        "created": "2025-12-01 10:00:00",
        "updated": "2025-12-01 10:00:00"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.